# Class ZhaoParameters

java.lang.Object
gov.sandia.gnem.slbmjni.ZhaoParameters

public class ZhaoParameters extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double`
  `C`
  a constant whose product with V0 gives the mantle velocity gradient for a flat Earth; V0 is the velocity of the top of the mantle averaged over the whole model.
  `double`
  `Cm`
  a constant whose product with Vm gives the mantle velocity gradient for a flat Earth.
  `double`
  `Gm`
  the velocity gradient at the top of the mantle averaged along the Moho between the source and receiver pierce points.
  `double`
  `H`
  the turning depth of the ray relative to the Moho
  `int`
  `udSign`
  a value of 0 indicates the source is in the crust; +1 indicates the ray leaves a mantle source in the downgoing direction; -1 indicates the ray leaves a mantle source in an upgoing direction.
  `double`
  `Vm`
  the velocity at the top of the mantle averaged along the Moho between the source and receiver pierce points.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZhaoParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Vm

    public double Vm
    the velocity at the top of the mantle averaged along the Moho between the source and receiver pierce points.

  - ### Gm

    public double Gm
    the velocity gradient at the top of the mantle averaged along the Moho between the source and receiver pierce points.

  - ### H

    public double H
    the turning depth of the ray relative to the Moho

  - ### C

    public double C
    a constant whose product with V0 gives the mantle velocity gradient for a flat Earth; V0 is the velocity of the top of the mantle averaged over the whole model.

  - ### Cm

    public double Cm
    a constant whose product with Vm gives the mantle velocity gradient for a flat Earth.

  - ### udSign

    public int udSign
    a value of 0 indicates the source is in the crust; +1 indicates the ray leaves a mantle source in the downgoing direction; -1 indicates the ray leaves a mantle source in an upgoing direction.

- ## Constructor Details

  - ### ZhaoParameters

    public ZhaoParameters()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`